# ROUNDS Korean Mod / ROUNDS 한국어 모드
This mod is a korean translation mod for Korean users.

이 모드는 한국어 유저들을 위한 한국어 모드임.

***21년에 업로드된 기존 한글패치를 사용중일 경우, 반드시 게임을 완전삭제하고 재설치해야만 정상작동함.**

해당 모드는 아래 링크의 툴을 사용해 제작되었음. This mod was created using the tool in the link below.

https://github.com/bbepis/XUnity.AutoTranslator

## INSTALL / 설치
* 모드매니저를 경유하여 설치하는 방법과 사용하지 않고 ROUNDS 게임폴더에 직접 설치하는 방법이 있음.


##
### 모드매니저를 경유해 설치하는 경우

`장점 : 모드매니저를 사용하므로 모드 관리가 쉬움.(다른 모드 설치/삭제, 활성화/비활성화 등등)`

`단점 : 게임 실행 시 반드시 모드매니저를 사용해야만 적용됨. 스팀에서 실행 시 바닐라로 실행됨.`
*맨 아래 꿀팁 참조.

#### 0. 모드매니저 설치(이미 설치되어 있는경우 스킵)
* 아래 링크의 r2modman 또는 thunderstore mod manager를 설치.
    * r2modman(https://rounds.thunderstore.io/package/ebkr/r2modman/)
    * thunderstore mod manager(https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager)

* 사용방법 참고 : https://gall.dcinside.com/mgallery/board/view/?id=rounds&no=60&page=1
    * ps. 개인적으로 thunderstore mod manager에서 쓸데없는 기능을 제거하고 모드관리기능만 남긴 r2modman를 추천.
 
#### 1. 모드설치
* 모드 매니저에서 해당 한국어모드 설치.
(BepInExPack_ROUNDS도 같이 설치됨.)

#### 2. 폰트설치
`**폰트 파일을 받지 않으면 한글이 ㅁ로 표시되므로 반드시 넣어야함**`
* 다음 링크의 폰트 압축 파일을 받아 ROUNDS 설치폴더(예 : `C:\Program Files (x86)\Steam\steamapps\common\ROUNDS`)에 압축풀고 붙여넣기. https://url.kr/pbq6ij

#### 3. 게임실행
* 모드 매니저에서 `Start modded`를 눌러 게임 실행.

##
### 모드매니저를 사용하지 않고 ROUNDS 게임폴더에 직접 설치하는 경우
`장점 : ROUNDS 게임폴더에 직접 설치하므로 스팀에서 직접 실행해도 적용됨.`

`단점 : 다른 모드들도 설치,삭제가 가능하나, 해당 모드처럼 직접 게임폴더에 넣고 빼고 해야하므로 번거로움.`*맨 아래 꿀팁 참조.


#### 1. BepInEx 설치
* 해당 링크(https://github.com/BepInEx/BepInEx/releases)에서 최신버전의 BepInEx(예:BepInEx_x64_5.4.18.0.zip)을 받아 ROUNDS 설치폴더에 압축풀고 붙여넣기.

#### 2. 모드설치
* 모드압축파일을 받고 ROUNDS 설치폴더에 압축풀고 붙여넣기.
   
#### 3. 게임실행
* 스팀에서 게임실행.



## 꿀팁
두 방법으로 모두 설치해놓고 **모드매니저**를 통해서만 다른 모드 관리를 하는 경우
* 스팀에서 게임 실행시 바닐라+한국어모드 이므로 퀵매치 가능
* 모드 매니저에서 `Start modded`를 눌러 게임 실행 시 한국어+모드매니저에서 설치한 다른 모드들도 적용